Hi,

I've now fixed this upstream, it required both updating debian/control and
some cmake,#ifdefs on the version number in the code due to the changed
API with mapnik 2.0. Also the osm.xml setup file had a number of changes
within it, I had to make a sed script to adapt those.

I hope to do a svn snapshot release of GpsDrive soon, it complies and starts
cleanly now, but I still need to test the PostGIS + Mapnik support a bit
better before calling it ready. Even with the upstream version ready there
will be some significant work to merge the DebianGIS and upstream debian/
dirs into something modern and clean. So far I've been focusing on the
upstream code rather than the packaging, but in that I've also managed to
get the lintian count rather low. If that will be ready for the Wheezy
freeze or not probably depends on if I get any help or not, right now
it is just me and I've other commitments to juggle.

see the SourceForge project page for svn checkouts of the latest upstream
efforts, http://gpsdrive.sf.net


regards,
Hamish



_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to